# 供应链金融平台

## 项目概述

本项目是基于Spring Cloud实现的供应链金融平台，旨在为供应链上下游企业提供便捷、高效、安全的金融服务。平台连接核心企业、上下游供应商和金融机构，打通供应链金融全流程，实现资金的高效流转和风险的有效控制。

## 核心功能模块

按业务流程排序，系统核心功能模块包括：

1. **认证模块**：用户注册、登录、身份验证、权限管理，支持多角色（核心企业、供应商、金融机构）的身份认证和授权。

2. **签约模块**：电子合同生成、在线签署、合同管理，为供应链各方提供法律保障。

## 技术栈矩阵

| 层级 | 技术栈 | 详细说明 |
| --- | --- | --- |
| 前端 | UniApp | 跨平台前端框架，支持同时开发iOS、Android和Web应用 |
| 后端 | Java 17 + Spring Cloud | 微服务架构，包括Spring Boot、Spring Cloud Gateway、Nacos等组件 |
| 数据库 | MySQL | 关系型数据库，用于存储业务数据 |

## 项目架构

系统采用微服务架构，主要包含以下服务：

- 网关服务：请求路由、负载均衡
- 认证服务：用户认证、授权管理
- 签约服务：合同生成与管理
- 公共服务：公共功能和工具

## 部署要求

- Java 17+
- MySQL 8.0+
- Docker（可选，用于容器化部署）
- Nacos（服务注册与配置中心） 