package net.yaoyi.gulop.member.auth.constant.enums.flag;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code CommonFlag}
 * <p>
 * 标记常量类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/09/08 11:54:05
 */
@Getter
public final class CommonFlag {

    /**
     * {@code CommonFlag}
     * <p>
     * 展示标记枚举
     *
     * @author Hengchen.Sun
     * @version 1.0.0
     * @date 2021/11/25 00:30
     */
    @Getter
    @AllArgsConstructor
    public enum ShownFlag {

        SHOWN(0, "展示"),
        HIDDEN(1, "隐藏");


        @EnumValue
        private final int flag;

        private final String message;
    }

    /**
     * {@code ScopeFlag}
     * <p>
     * 项目区域标记枚举
     *
     * @author Hengchen.Sun
     * @version 1.0.0
     * @date 2021/09/01 16:51:33
     */
    @Getter
    @AllArgsConstructor
    public enum ScopeFlag {

        NATIONWIDE(0, "全国"),
        PARTIAL(1, "部分地区");


        @EnumValue
        private final int flag;

        private final String message;
    }

    @Getter
    @AllArgsConstructor
    public enum SystemFlag {
        /**
         * 字典类型-业务类型
         */
        BIZ(0, "业务类"),


        /**
         * 字典类型-系统内置（不可修改）
         */
        SYSTEM(1, "系统内置");


        /**
         * 类型
         */
        @EnumValue
        private final int flag;

        /**
         * 描述
         */
        private String message;

    }

    // 操作标识符
    @Getter
    @AllArgsConstructor
    public enum OptFlag {

        OK("OK", 0, "正常"),
        LOCKED("LOCKED", 1, "已锁定"),
        DELETED("DELETED", 9, "已删除");

        private final String flag;

        @EnumValue
        private final int code;

        private final String description;

    }
}
