package net.yaoyi.gulop.member.auth.constant.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code CheckoutState} 类
 * 支付中心状态
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022-02-27
 * @since ver.1.0.0
 */
public final class CheckoutState {

    // 订单状态
    @Getter
    @AllArgsConstructor
    public enum OrderState {

        NEW_ONE("NEW", "待支付"),
        IN_TRANSIT("IN_TRANSIT", "在途支付"),
        FAILED("FAILED", "支付失败"),
        CANCELED("CANCELED", "已取消"),
        OK("OK", "支付成功");

        @EnumValue
        private final String state;

        private final String message;
    }
}
