package net.yaoyi.gulop.member.auth.constant.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code GigStatus}
 * <p>
 * 零工状态记录
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/08 13:06
 */
@Getter
public final class GigStatus {

    // 用户协议签约记录
    @Getter
    @AllArgsConstructor
    public enum UserAgreementSignStatus {

        NOT_SIGN(0, "未签约"),
        SIGNED(1, "签约成功");

        @EnumValue
        private final Integer code;

        private final String message;
    }

    // 会员认证信息
    @Getter
    @AllArgsConstructor
    public enum MemberCertState {


        UN_CERT("UN_CERT", "未认证"),
        SIGNED("SIGNED", "已签约"),
        BOUND("BOUND", "已绑卡"),
        AGREEMENT("AGREEMENT", "已签协议"),
        CHECKED("CHECKED", "已合身"),
        CERT("CERT", "已认证");

        @EnumValue
        private final String state;

        private final String message;

    }

    // 回调状态
    @Getter
    @AllArgsConstructor
    public enum NotifyState {

        INIT("INIT", "初始化"),
        IN_PROGRESS("IN_PROGRESS", "远端处理中"),
        CALL_BACK("CALL_BACK", "已回调");

        @EnumValue
        private final String state;

        private final String message;
    }

}
