package net.yaoyi.gulop.member.auth.constant.enums.state;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code PmsStatus}
 * <p>
 * 项目中心状态枚举
 * </p>
 *
 * @author jimmy
 * @date 3/30/22 15:31
 */
public class PmsStatus {

    // 项目发布状态
    @Getter
    @AllArgsConstructor
    public enum ProjectStatus {

        NEW(0, "未发布"),
        PUBLISHING(1, "发布中"),
        DONE(2, "已结束"),
        TERMINATED(3, "已终止");

        @EnumValue
        private final int status;

        private final String description;


    }

    // 审核状态
    @Getter
    @AllArgsConstructor
    public enum ReviewStatus {

        WAITING(0, "未审核"),
        PASS(1, "通过"),
        REJECTED(9, "拒绝");

        @EnumValue
        private final int status;

        private final String description;


    }

}
