package net.yaoyi.gulop.member.auth.constant.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code CheckoutType} 类
 * 支付类型常量枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022-02-27
 * @since ver.1.0.0
 */
public final class CheckoutType {

    // 订单类型
    @Getter
    @AllArgsConstructor
    public enum OrderType {

        NORMAL("NORMAL", "普通订单");

        @EnumValue
        private final String type;

        private final String message;

    }



    // 打款方式
    @Getter
    @AllArgsConstructor
    public enum TransferType {

        BALANCE("BALANCE", 0, "账户余额"),
        BANK_CARD("BANK_CARD", 1, "银行卡");

        @EnumValue
        private final String type;

        private final int code;

        private final String description;

    }
}
