package net.yaoyi.gulop.member.auth.constant.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code CmsType}
 * <p>
 * 模块类型
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/20 21:06
 */
public class CmsType {

    /**
     * 功能属性类型
     */
    @Getter
    @AllArgsConstructor
    public enum AttrType {

        // 功能属性类型
        SALES(0, "销售属性"),
        BASE(1, "基础属性"),
        SALES_AND_BASE(2, "销售和基础属性");

        @EnumValue
        private final int type;

        private final String message;
    }

    /**
     * 文件来源类型
     */
    @Getter
    @AllArgsConstructor
    public enum FileSourceType {

        // 文件来源类型
        PC(0, "PC端"),
        MINIAPP(1, "小程序端");

        @EnumValue
        private final int type;

        private final String message;
    }
}
