package net.yaoyi.gulop.member.auth.constant.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code GigType} 类
 * 结算类型常量枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022-02-27
 * @since ver.1.0.0
 */
public final class GigType {


    // 人员类型
    @Getter
    @AllArgsConstructor
    public enum MemberType {
        YAOYI_EXCLUSIVE_PERSONNEL("20", "要易专属人员");

        private final String type;

        private final String description;

    }

    // 支付主体类型
    @Getter
    @AllArgsConstructor
    public enum SubjectType {

        //
        DING("DING", 0, "仁励家"),
        TAX_HELPOR("TAX_HELPOR", 1, "税邦云"),
        OLADING("OLADING", 2, "钉零工"),
        YEE("YEE", 3, "易联数科"),
        ZHENG_QI_ZHI_XING("ZHENG_QI_ZHI_XING", 4, "正启之星"),
        LANG_CHAO("LANG_CHAO", 5, "浪潮"),
        LANG_CHAO_EQUIPMENT("LANG_CHAO_EQUIPMENT", 17, "浪潮装备"),
        HUI_QI_YUN("HUI_QI_YUN", 6, "汇企云"),
        ZHONG_YI_YUN("ZHONG_YI_YUN", 7, "众蚁云"),
        ZHONG_ZHI("ZHONG_ZHI", 8, "中智"),
        QI_FU("QI_FU", 9, "福建企赋"),
        SHEN_ZHEN_REN_CAI("SHEN_ZHEN_REN_CAI", 10, "深圳之光"),
        SHEN_ZHEN_REN_CAI_2("SHEN_ZHEN_REN_CAI_2", 15, "深圳产业园"),
        YI_MA("YI_MA", 11, "天津易捷"),
        XIN_SHI_YI("XIN_SHI_YI", 12, "薪事易"),
        HE_CHUANG("HE_CHUANG", 13, "合创众盈"),
        XIN_SHI_YI_NEW("XIN_SHI_YI_NEW", 14, "海南飞亿"),
        QUAN_SI_FU("QUAN_SI_FU", 16, "全思福"),
        GZLLE("GZLLE", 18, "职乐"),
        QSF_LJG("QSF_LJG", 19, "全思福_灵就宫"),
        QSF_SHQZ("QSF_SHQZ", 20, "全思福_上海鹊诊"),
        DONG_JIN_REN_CAI("DONG_JIN_REN_CAI",21, "东进人才"),
        FESCO("FESCO", 22, "北京外企"),
        CLOUD_ACCOUNT("CLOUD_ACCOUNT", 23, "云账号"),
        FESCO_GUANGXI("FESCO_GUANGXI", 24, "广西有为开放平台"),
        GULOP("GULOP", 99, "GULOP");

        private final String type;

        @EnumValue
        private final int code;

        private final String message;

    }

    /**
     * 结算通道
     */
    @Getter
    @AllArgsConstructor
    public enum SubjectChannel {

        DEFAULT("DEFAULT", SubjectType.OLADING, "海南飞亿"),
        CICC("CICC", SubjectType.TAX_HELPOR, "中金"),
        PING_AN_BANK("PING_AN_BANK", SubjectType.TAX_HELPOR, "平安银行");

        @EnumValue
        private final String type;

        private final SubjectType subjectType;

        private final String description;
    }

    /**
     * 结算税源地
     */
    @Getter
    @AllArgsConstructor
    public enum SubjectLocation {
        // 云账号
        CLOUD_ACCOUNT("CLOUD_ACCOUNT", SubjectType.CLOUD_ACCOUNT, "云账号"),

        // 原力
        YUAN_LI("YUAN_LI", SubjectType.DONG_JIN_REN_CAI, "原力-东进人才"),
        YLKJ_HNYX("YLKJ_HNYX", SubjectType.DONG_JIN_REN_CAI, "原力科技-河南远忻"),
        HENANYUANQI("HENANYUANQI", SubjectType.DONG_JIN_REN_CAI, "河南远忻"),

        // 仁励家通道
        REN_LI_JIA("REN_LI_JIA", SubjectType.DING, "仁励家"),

        // 税邦云通道
        ZHONG_YING("ZHONG_YING", SubjectType.TAX_HELPOR, "湖南众盈"),
        LUO_SHU_YUN("LUO_SHU_YUN", SubjectType.TAX_HELPOR, "永州罗数云"),

        // 钉零工通道
        FEI_YI("FEI_YI", SubjectType.OLADING, "海南飞亿"),
        JIN_YUAN("JIN_YUAN", SubjectType.OLADING, "金园数科"),
        XIN_TAI_ZI("XIN_TAI_ZI", SubjectType.OLADING, "河南薪泰梓"),
        ZHAO_YU("ZHAO_YU", SubjectType.OLADING, "河南兆宇"),

        // 浪潮通道
        LANG_CHAO("LANG_CHAO", SubjectType.LANG_CHAO, "浪潮"),
        LANG_CHAO_EQUIPMENT("LANG_CHAO_EQUIPMENT", SubjectType.LANG_CHAO, "浪潮装备"),

        // 汇企云
        HUI_QI_YUN("HUI_QI_YUN", SubjectType.HUI_QI_YUN, "汇企云"),

        // 众蚁云
        ZHONG_YI_YUN("ZHONG_YI_YUN", SubjectType.ZHONG_YI_YUN, "众蚁云"),

        // 中智
        ZHONG_ZHI("ZHONG_ZHI", SubjectType.ZHONG_ZHI, "中智"),

        // 福建企赋
        QI_FU("QI_FU", SubjectType.QI_FU, "福建企赋"),

        // 深圳人才
        SHEN_ZHEN_REN_CAI("SHEN_ZHEN_REN_CAI", SubjectType.SHEN_ZHEN_REN_CAI, "睢宁天泰"),
        HE_NAN_ZHAO_AN("HE_NAN_ZHAO_AN", SubjectType.SHEN_ZHEN_REN_CAI, "河南兆安"),
        // 深圳人才2
        SHEN_ZHEN_REN_CAI_2("SHEN_ZHEN_REN_CAI_2", SubjectType.SHEN_ZHEN_REN_CAI_2, "睢宁天泰"),
        HE_NAN_ZHAO_AN_2("HE_NAN_ZHAO_AN_2", SubjectType.SHEN_ZHEN_REN_CAI_2, "河南兆安"),
        HEI_NAN_YAO_YUN("HEI_NAN_YAO_YUN", SubjectType.SHEN_ZHEN_REN_CAI, "深圳之光-河南耀运"),

        // 易马财税
        YI_MA("YI_MA", SubjectType.YI_MA, "天津易捷"),

        // 合创众盈
        HE_CHUANG_ZHONG_ZHI("HE_CHUANG_ZHONG_ZHI", SubjectType.HE_CHUANG, "合创众盈-天津中智"),
        HE_CHUANG_REN_CAI_YUN("HE_CHUANG_REN_CAI_YUN", SubjectType.HE_CHUANG, "合创众盈-福州人才云"),
        BEIJING_DEWEI("BEIJING_DEWEI", SubjectType.HE_CHUANG, "北京德威-开封广招"),
        KAIFENG_GUANGZHAO("KAIFENG_GUANGZHAO", SubjectType.HE_CHUANG, "开封广招"),
        FZRC_KFGZ("FZRC_KFGZ", SubjectType.HE_CHUANG, "福州人才-开封广招"),

        XIN_SHI_YI("XIN_SHI_YI", SubjectType.XIN_SHI_YI, "薪事易"),
        XIN_SHI_YI_NEW("XIN_SHI_YI_NEW", SubjectType.XIN_SHI_YI_NEW, "海南飞亿"),

        // 正启之星
        ZHENG_QI_ZHI_XING("ZHENG_QI_ZHI_XING", SubjectType.ZHENG_QI_ZHI_XING, "正启之星"),
        JIANG_XI("JIANG_XI", SubjectType.ZHENG_QI_ZHI_XING, "正启之星-江西"),
        GZLLE("GZLLE", SubjectType.GZLLE, "正启之星-湖南"),
        GZLLE_HUBEI("GZLLE_HUBEI", SubjectType.GZLLE, "正启之星-湖北"),

        // 全思福
        QUAN_SI_FU("QUAN_SI_FU", SubjectType.QUAN_SI_FU, "全思福"),
        QSF_LJG("QSF_LJG", SubjectType.QSF_LJG, "全思福_灵就宫"),
        QSF_SHQZ("QSF_SHQZ", SubjectType.QSF_SHQZ, "全思福_上海鹊诊"),

        // 北京外企
        FESCO("FESCO", SubjectType.FESCO, "北京外企"),
        FESCO_GUANGXI("FESCO_GUANGXI", SubjectType.FESCO_GUANGXI, "广西有为平台"),
        ;


        @EnumValue
        private final String location;

        private final SubjectType subjectType;

        private final String description;
    }


    /**
     * 认证步骤
     */
    @Getter
    @AllArgsConstructor
    public enum CertStep {

        UPLOAD_ID_CARD("UPLOAD_ID_CARD", "上传身份证"),
        UPLOAD_FACE_ID("UPLOAD_FACE_ID", "上传核身视频"),
        ALL("ALL", "全部"),
        ;

        @EnumValue
        private final String type;

        private final String description;
    }

    /**
     * 认证步骤
     */
    @Getter
    @AllArgsConstructor
    public enum BankCardStep {

        CAPTCHA("CAPTCHA", "获取绑卡验证码"),
        BOUND("BOUND", "绑卡操作");

        @EnumValue
        private final String type;

        private final String description;
    }

}
