package net.yaoyi.gulop.member.auth.constant.enums.type;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code UpmsType}
 * <p>
 * UPMS类型枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/19 16:58
 */
public final class UpmsType {


    // 菜单类型
    @Getter
    @AllArgsConstructor
    public enum MenuType {

        LEFT_MENU(0, "left"),
        BUTTON(1, "button"),
        TOP_MENU(2, "top");


        @EnumValue
        private final int type;

        private final String message;

    }

    // 功能属性类型
    @Getter
    @AllArgsConstructor
    public enum FuncAttrType {
        SALES(0, "销售属性"),
        BASE(1, "基础属性"),
        SALES_AND_BASE(2, "销售和基础属性");

        @EnumValue
        private final int type;

        private final String message;
    }


    // 企业类型枚举
    @Getter
    @AllArgsConstructor
    public enum EnterpriseType {

        PME(0, "药品生产企业"),
        CSO(1, "合同销售组织"),
        CRO(2, "合同研究组织"),
        CMO(3, "合同生产组织"),
        MEDICAL_ASSOCIATION(4, "医药协会"),
        MEDICAL_FOUNDATION(5, "基金会"),
        YYC(8, "要易云"),
        GULOP(9, "GULOP");

        @EnumValue
        private final int type;

        private final String message;
    }

    /**
     * 公共参数类型枚举
     */
    @Getter
    @AllArgsConstructor
    public enum PublicParamType {

        DEFAULT(0, "默认"),
        SEARCH(1, "检索"),
        TEXT(2, "原文"),
        STATEMENT(3, "报表"),
        DOCUMENT(5, "文档"),
        MESSAGE(6, "消息"),
        OTHER(9, "其他");

        @EnumValue
        private final int code;

        private final String message;
    }


}
