package net.yaoyi.gulop.member.auth.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * {@code GigConfig}
 * <p>
 * 零工配置
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/03 18:05
 */
@Data
@ToString(callSuper = true)
@TableName(value = "gig_config")
public class GigConfig {
    /**
     * id
     */
    @TableId(value = "config_id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业三合一码
     */
    @TableField(value = "ent_code")
    private String enterpriseCode;


    /**
     * 主体名称
     */
    @TableField(value = "subject_name")
    private String subjectName;

    /**
     * 结算类型
     */
    @TableField(value = "subject_type")
    private String subjectType;

    /**
     * 结算通道
     */
    private String subjectChannel;

    /**
     * 结算税源地
     */
    private String subjectLocation;

    /**
     * 锁定标记
     */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private int optFlag;

    /**
     * 默认标记
     */
    @TableField(value = "def_flag")
    private Boolean defaultFlag;


    /**
     * 端类型
     */
    private String endType;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 更新时间
     */
    @TableField(value = "modified_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime modifiedTime;

    @TableField(value = "agreement_url")
    private String agreementUrl;

    @TableField(value = "agreement_template")
    private String agreementTemplate;

    //企业account
    @TableField(value = "enterprise_account")
    private String enterpriseAccount;

    //平台account
    @TableField(value = "platform_account")
    private String platformAccount;

    //第三方
    @TableField(value = "reception_account")
    private String receptionAccount;


    /**
     * 渠道配额
     */
    @TableField(exist = false)
    private BigDecimal subjectQuota;




    /**
     * 是否需要签约
     */
    @TableField(value = "is_sign")
    private int isSign;

    //文件类型  文件类型 0 是协议 1是报告
    @TableField(value = "is_file_type")
    private int isFileType;


    @TableField(exist = false) // 标记非数据库字段
    private SmartContract contractInfo;



}
