package net.yaoyi.gulop.member.auth.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import jakarta.persistence.*;
import lombok.Data;
import net.yaoyi.gulop.member.auth.constant.enums.ContractStatus;
import net.yaoyi.gulop.member.auth.handler.ContractStatusTypeHandler;

import java.time.LocalDateTime;

@Data
@TableName("smart_contract")
public class SmartContract  extends Model<SmartContract> {

    @TableId(type = IdType.AUTO)
    private Long contractId;

    private String contractNo;

    private Long configId;

    private String contractTitle;


    private String contractContent;


    @TableField(typeHandler = ContractStatusTypeHandler.class)
    private ContractStatus contractStatus;

  /*  @TableField(typeHandler = ContractStatusTypeHandler.class)
    private ContractStatus userSignStatus;

    @TableField(typeHandler = ContractStatusTypeHandler.class)
    private ContractStatus enterpriseSignStatus;

    @TableField(typeHandler = ContractStatusTypeHandler.class)
    private ContractStatus platformSignStatus;*/


    private LocalDateTime createTime = LocalDateTime.now();

    private LocalDateTime expireTime;

    private LocalDateTime updateTime;

    private Long userId;






    /*private String userSignUrl;
    private String enterpriseSignUrl;
    private String platformSignUrl;*/

    private String userAccount;

    private String enterpriseAccount;

    @TableField(value = "platform_account")
    private String platformAccount;

    @TableField(value = "preview_url")
    private String previewUrl;


    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject signInfo; // 签约信息


    private LocalDateTime completeTime;

    @PreUpdate
    protected void onUpdate() {
        this.updateTime = LocalDateTime.now();
    }
}