package net.yaoyi.gulop.member.auth.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data

@TableName("ums_member")
@EqualsAndHashCode(callSuper = true)
public class UmsMember extends Model<UmsMember>{

    @TableId(value = "id", type = IdType.AUTO)
    private Long id; // 用户ID（即member_id）

    private String phone;

    private Integer isThreeAuth; // 三要素认证 0-未认证 1-已认证

    private Integer isFourAuth; // 四要素认证 0-未认证 1-已认证

    private Integer isOcrAuth; // OCR认证 0-未认证 1-已认证

    private Integer isLivenessAuth; // 活体认证 0-未认证 1-已认证

    private Integer isEsignAuth; // 电子签认证 0-未认证 1-已认证

    @TableField(value = "three_auth_info",typeHandler = FastjsonTypeHandler.class)
    private JSONObject threeAuthInfo; // 三要素认证数据（姓名/身份证/手机号）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject fourAuthInfo; // 四要素认证数据（+银行卡号）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject ocrInfo; // OCR识别数据（身份证正反面/有效期）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject certificateInfo;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject livenessInfo; // 活体检测数据（视频/分数）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject esignInfo; // 电子签数据（合同/签章位置）

    private String createBy;
    private String userSealNo;//印章编号
    private Date createTime;
    private String updateBy;
    private Date updateTime;

    private Integer delFlag; // 删除标记 0-正常 1-已删除
    private Integer lockFlag; // 锁定标记 0-可编辑 1-只读


}