package net.yaoyi.gulop.member.auth.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * {@code UserAgreementRecord}
 * <p>
 * 用户协议记录
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/08 12:54
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "gig_user_agreement_record")
public class UserAgreementRecord extends Model<UserAgreementRecord> {

    /**
     * id
     */
    @TableId(value = "record_id", type = IdType.AUTO)
    private Long id;


    private Long userId;


    /**
     * 会员真实名称
     */
    private String realName;

    /**
     * 会员用户名
     */
    private String username;

    /**
     * 所属企业三合一码
     */
    private String enterpriseCode;

    /**
     * 渠道
     */
    private String subjectType;

    /**
     * 协议明文
     */
    private String agreement;

    /**
     * 协议pdf路径
     */
    private String agreementUrl;

    /**
     * 签名图片地址
     */
    private String signImageUrl;

    /**
     * 签约时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime signTime;

    /**
     * 用户签约状态
     */
    private int status;
}
