package net.yaoyi.gulop.member.auth.handler;

import lombok.extern.slf4j.Slf4j;
import net.yaoyi.gulop.member.auth.constant.enums.ContractStatus;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;
import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

@Slf4j
public class ContractStatusTypeHandler extends BaseTypeHandler<ContractStatus> {

    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, ContractStatus parameter, JdbcType jdbcType) throws SQLException {
        // 将枚举的 code 值写入数据库
        ps.setInt(i, parameter.getCode());
    }

    @Override
    public ContractStatus getNullableResult(ResultSet rs, String columnName) throws SQLException {
        // 从数据库读取 code 值并转换为枚举
        int code = rs.getInt(columnName);
        return ContractStatus.fromCode(code);
    }

    @Override
    public ContractStatus getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        int code = rs.getInt(columnIndex);
        return ContractStatus.fromCode(code);
    }

    @Override
    public ContractStatus getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        int code = cs.getInt(columnIndex);
        return ContractStatus.fromCode(code);
    }
}