package net.yaoyi.gulop.member.auth.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.yaoyi.gulop.member.auth.entity.GigConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface GigConfigMapper extends BaseMapper<GigConfig> {

    @Select("SELECT * FROM gig_config WHERE is_sign = 1")
    List<GigConfig> getSignList();


    @Select("SELECT COUNT(*) FROM gig_user_agreement_record " +
            "WHERE enterprise_code = #{entCode} AND username = #{username} " +
            "AND subject_type = #{subjectType} AND status = 1")
    int existsSignedRecord(@Param("entCode") String entCode,
                           @Param("username") String username,
                           @Param("subjectType") int subjectType);

    @Select("SELECT * FROM gig_config WHERE is_sign = 1 and config_id = #{configId}")
    GigConfig getSignAgreement(Long configId);
}
