package net.yaoyi.gulop.member.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.yaoyi.gulop.member.auth.entity.UmsMember;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.time.LocalDateTime;

@Mapper
public interface UmsMemberMapper extends BaseMapper<UmsMember> {

    /**
     * 根据ID查询有效用户（自动过滤已删除）
     *获取用户手机号
     */
    @Select("SELECT * FROM ums_member WHERE id = #{id} AND del_flag = 0")
    UmsMember findById(@Param("id") Long id);


    /**
     * 更新三要素认证状态
     */
    @Update("UPDATE ums_member SET " +
            "is_three_auth = #{threeAuth}, " +
            "three_auth_info = #{threeAuthInfo}, " +
            "update_time = NOW() " +
            "WHERE id = #{id} AND update_time = #{updateTime}")
    int updateThreeAuthStatus(@Param("id") Long id,
                              @Param("threeAuth") Boolean threeAuth,
                              @Param("threeAuthInfo") String threeAuthInfoJson,
                              @Param("updateTime") LocalDateTime updateTime);

    void updateTAuthInfo();
}
