package net.yaoyi.gulop.member.auth.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.yaoyi.gulop.member.auth.entity.UserAgreementRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * {@code UserAgreementRecordMapper}
 * <p>
 * 零工用户协议dao
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/03/08 13:18
 */
@Mapper
public interface UserAgreementRecordMapper extends BaseMapper<UserAgreementRecord> {

    // 根据用户ID获取企业编码和用户名（需要你实际表结构）
    @Select("SELECT enterprise_code, username FROM user WHERE user_id = #{userId}")
    Map<String, Object> getUserInfo(@Param("userId") Long userId);




    @Select("SELECT * FROM gig_user_agreement_record" +
            "WHERE enterprise_code = #{enterpriseCode} LIMIT 1")
    UserAgreementRecord getSignAgreement(@Param("entCode") String entCode);


}
