package net.yaoyi.gulop.member.auth.service;


import net.yaoyi.gulop.member.auth.dto.FourElementAuthDto;
import net.yaoyi.gulop.member.auth.dto.QualificationDTO;
import net.yaoyi.gulop.member.auth.dto.ThreeElementAuthDTO;
import net.yaoyi.gulop.member.auth.util.CommonResult;
import net.yaoyi.gulop.member.auth.vo.MemberAuthInfoVO;

import java.io.IOException;
import java.util.Map;

public interface MemberAuthService {

    /**
     * 处理三要素实名认证
     *
     * @param request 认证请求体
     */
    CommonResult threeElementAuth(Map<String, Object> request,Long userId);


    CommonResult fourElementAuth(FourElementAuthDto request,Long userId);

    CommonResult ocrAuth(String fileUrl, String type,Long userId) throws IOException;

    CommonResult personFace(ThreeElementAuthDTO request,Long userId);

    CommonResult checkCertificate(QualificationDTO qualificationDTO,Long userId);

    MemberAuthInfoVO getAuthInfo(Long userId);


}