package net.yaoyi.gulop.member.auth.util;

import io.netty.util.internal.ThreadLocalRandom;

import java.security.SecureRandom;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.concurrent.atomic.AtomicInteger;

public class ContractNumberGenerator {
    private static final String DATE_FORMAT = "yyyyMMdd";
    private static final AtomicInteger counter = new AtomicInteger(1);

    public static synchronized String generate() {
        // 获取当前日期
        String date = LocalDate.now().format(DateTimeFormatter.ofPattern(DATE_FORMAT));


        int random = ThreadLocalRandom.current().nextInt(0, 10000);

        // 生成4位自增序号（每日重置）
        // int num = counter.getAndIncrement();
        // String sequence = String.format("%04d", num);

        String sequence = String.format("%05d", random);

        return "CONTRACT-" + date + "-" + sequence;
    }



    /**
     * 生成随机字符串
     * @param length 字符串长度
     * @return 生成的随机字符串
     */
    public static String generate(int length) {
        if (length < 1) {
            throw new IllegalArgumentException("长度必须大于0");
        }

        String characters = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        SecureRandom random = new SecureRandom();
        StringBuilder sb = new StringBuilder(length);

        for (int i = 0; i < length; i++) {
            int randomIndex = random.nextInt(characters.length());
            sb.append(characters.charAt(randomIndex));
        }

        return sb.toString();
    }
}