package net.yaoyi.gulop.member.auth.util;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Base64;

public class ImageToBase64Converter {

    public static String convertImageUrlToBase64(String imageUrl) throws IOException {
        HttpURLConnection connection = null;
        InputStream inputStream = null;

        try {
            // 创建URL对象
            URL url = new URL(imageUrl);

            // 打开HTTP连接
            connection = (HttpURLConnection) url.openConnection();
            connection.setRequestMethod("GET");
            connection.setConnectTimeout(5000);    // 5秒连接超时
            connection.setReadTimeout(15000);      // 15秒读取超时

            // 检查HTTP响应状态
            int statusCode = connection.getResponseCode();
            if (statusCode != HttpURLConnection.HTTP_OK) {
                throw new IOException("HTTP请求失败，状态码: " + statusCode);
            }

            // 获取输入流并读取字节
            inputStream = connection.getInputStream();
            ByteArrayOutputStream buffer = new ByteArrayOutputStream();
            byte[] data = new byte[4096];
            int bytesRead;

            while ((bytesRead = inputStream.read(data, 0, data.length)) != -1) {
                buffer.write(data, 0, bytesRead);
            }

            // 转换为Base64
            byte[] imageBytes = buffer.toByteArray();
            return Base64.getEncoder().encodeToString(imageBytes);

        } finally {
            // 清理资源
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            if (connection != null) {
                connection.disconnect();
            }
        }
    }

}