package net.yaoyi.gulop.member.auth.util;

import com.ancun.netsign.model.FileDto;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class RemoteFileUtils {

    public static FileDto fromUrl(String imageUrl) throws IOException {
        // 创建URL对象并打开连接
        URL url = new URL(imageUrl);
        HttpURLConnection connection = (HttpURLConnection) url.openConnection();
        connection.setRequestMethod("GET");
        connection.connect();

        // 检查HTTP响应状态
        int statusCode = connection.getResponseCode();
        if (statusCode != HttpURLConnection.HTTP_OK) {
            throw new IOException("Failed to fetch image: HTTP " + statusCode);
        }

        // 获取输入流和文件名
        InputStream inputStream = connection.getInputStream();
        String fileName = extractFileNameFromUrl(url);

        // 封装到FileDto
        FileDto fileDto = new FileDto();
        fileDto.setFileName(fileName);
        fileDto.setFileInputStream(inputStream);
        // fileDto.setFilePath(""); // 根据需求设置本地存储路径（如果有）

        return fileDto;
    }

    private static String extractFileNameFromUrl(URL url) {
        String path = url.getPath();
        // 移除查询参数
        int queryIndex = path.indexOf('?');
        if (queryIndex > 0) {
            path = path.substring(0, queryIndex);
        }
        // 提取最后的文件名部分
        int slashIndex = path.lastIndexOf('/');
        return (slashIndex < 0) ? "default.jpg" : path.substring(slashIndex + 1);
    }
}