package net.yaoyi.gulop.member.auth.vo;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.Data;

import java.util.Date;

@Data
public class MemberAuthInfoVO {
    private String phone;

    private Integer isThreeAuth; // 三要素认证 0-未认证 1-已认证

    private Integer isFourAuth; // 四要素认证 0-未认证 1-已认证

    private Integer isOcrAuth; // OCR认证 0-未认证 1-已认证

    private Integer isLivenessAuth; // 活体认证 0-未认证 1-已认证

    private Integer isEsignAuth; // 电子签认证 0-未认证 1-已认证

    private JSONObject threeAuthInfo; // 三要素认证数据（姓名/身份证/手机号）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject fourAuthInfo; // 四要素认证数据（+银行卡号）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject ocrInfo; // OCR识别数据（身份证正反面/有效期）

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject certificateInfo;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONObject esignInfo; // 电子签数据（合同/签章位置）

}
